Package ru.bitel.bgbilling.modules.npay.server.bean

# Class DebetStatusManageConfig

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.DebetStatusManageConfig

    public class DebetStatusManageConfig
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DebetStatusManageConfig​(Preferences moduleSetup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `checkLockStatus​(int status)` |
  `java.util.List<java.lang.Integer>` | `getActiveStatusList()` | Возвращает список кодов статусов (активных)
  `java.lang.String` | `getActiveStatusString()` |
  `java.util.Set<java.lang.Integer>` | `getContractLabelIds()` |
  `java.util.List<java.lang.Integer>` | `getLockStatusList()` | Возвращает список кодов статусов (заблокированных)
  `java.lang.String` | `getLockStatusString()` |
  `int` | `getNextStatus​(int status)` |
  `int` | `getServiceSet()` |
  `java.math.BigDecimal` | `getSummaForUnlock​(java.sql.Connection con, int moduleId, Contract contract)` | Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
  `java.lang.String` | `getTariffIds()` |
  `boolean` | `isCheckServiceObjectList()` |
  `boolean` | `isEnable()` |
  `boolean` | `isEnableForContractLabelIds​(java.util.List<java.lang.Integer> chechContractLabelIds)` |
  `boolean` | `isProcessDependentSub()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DebetStatusManageConfig

    public DebetStatusManageConfig​(Preferences moduleSetup)

- ## Method Details

  - ### isEnable

    public boolean isEnable()

  - ### isEnableForContractLabelIds

    public boolean isEnableForContractLabelIds​(java.util.List<java.lang.Integer> chechContractLabelIds)

  - ### getContractLabelIds

    public java.util.Set<java.lang.Integer> getContractLabelIds()

  - ### getLockStatusList

    public java.util.List<java.lang.Integer> getLockStatusList()
    Возвращает список кодов статусов (заблокированных)
    Returns:

  - ### checkLockStatus

    public boolean checkLockStatus​(int status)

  - ### getLockStatusString

    public java.lang.String getLockStatusString()

  - ### getActiveStatusList

    public java.util.List<java.lang.Integer> getActiveStatusList()
    Возвращает список кодов статусов (активных)
    Returns:

  - ### getActiveStatusString

    public java.lang.String getActiveStatusString()

  - ### getServiceSet

    public int getServiceSet()

  - ### getTariffIds

    public java.lang.String getTariffIds()

  - ### isProcessDependentSub

    public boolean isProcessDependentSub()

  - ### isCheckServiceObjectList

    public boolean isCheckServiceObjectList()

  - ### getSummaForUnlock

    public java.math.BigDecimal getSummaForUnlock​(java.sql.Connection con, int moduleId, Contract contract) throws ru.bitel.bgbilling.common.BGException
    Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    Parameters:
      `con` -
      `moduleId` -
      `cid` -
    Returns:
    Throws:
      `java.lang.Exception`
      `ru.bitel.bgbilling.common.BGException`

  - ### getNextStatus

    public int getNextStatus​(int status)